package types;

/**
 * Created by ikalyvas on 5/30/2018.
 */
public enum LoggingOutputType {
    FILE(0), JSON(1);

    private Integer value;

    private LoggingOutputType(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }

    public static LoggingOutputType fromInteger(Integer value) {
        switch (value) {
            case 0:
                return FILE;
            case 1:
                return JSON;
            default:
                throw new RuntimeException("Unsupported Logging LoggingOutputType");
        }
    }
}
